@echo off


if     "%1" == ""   set INSTDIR=C:\RIPTERM
if not "%1" == ""   set INSTDIR=%1


cls

echo.
echo.
echo                   Welcome to RIPterm v2.3 Evaluation Edition
echo                   
echo.
echo You are about to install the RIPterm software onto your computer.
echo.
echo It will be installed in: %INSTDIR%
echo.
echo If you wish to install the software to another location, type CTRL-C now and
echo re-run the INSTALL program with the proper directory as in the following:
echo.
echo                  INSTALL C:\COMM\RIPTERM
echo.
echo.
echo If you wish to continue, hit any key now.  Hit CTRL-C to abort:

pause >NUL

cls

echo.
echo.
echo Ignore any warnings about "directory already exists" (if you see any).
echo.

mkdir %INSTDIR% >NUL

copy readme.doc %INSTDIR% >NUL

if not exist %INSTDIR%\readme.doc goto CANTMD


copy license.doc %INSTDIR% >NUL

sharewar -do %INSTDIR%


if errorlevel 1 goto ERROR


echo.
echo Installation of the RIPterm software is now complete.  To run the software,
echo goto the directory %INSTDIR% and type SETUP
echo.
echo Would you like to clean-up (i.e., delete) the installation files?  If so,
echo hit any key to delete them or type CTRL-C to leave them on your drive.

pause >NUL

del sharewar.exe >NUL
del readme.doc   >NUL
del license.doc  >NUL
del install.bat  >NUL

goto ENDIT


:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:ERROR
:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

echo.
echo ERROR: Some error occurred while trying to decompress the software.  The
echo        probable explanation is insufficient disk space.  Free up some
echo        space, and try again.

:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:CANTMD
:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

echo.
echo ERROR: Can't create directory: %INSTDIR%
echo.
echo This is probably caused by you specifying a directory other than C:\RIPTERM
echo and one of the higher-level directories hasn't been created yet.  Try
echo creating the parent directories and try installing again.
echo.

goto ENDIT


:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:ENDIT
:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

echo.
